Skip to main content
GET
/
invocations
/
{id}
/
browsers
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

const response = await client.invocations.listBrowsers('id');

console.log(response.browsers);
{
  "browsers": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "cdp_ws_url": "wss://api.onkernel.com/browser/cdp?jwt=eyJ0eXAi...",
      "headless": false,
      "stealth": false,
      "session_id": "htzv5orfit78e1m2biiifpbv",
      "timeout_seconds": 123,
      "browser_live_view_url": "https://api.onkernel.com/browser/remote?jwt=eyJ0eXAi...",
      "proxy_id": "<string>",
      "kiosk_mode": false,
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Invocation ID

Response

List of browsers for this invocation

browsers
object[]
required